import request from '@/apps/mobile/utils/request'
//  banner 分页查询
export function queryPageBanner(data) {
    return request({
        method: 'post',
        url: '/api/bannerImages/query-page',
        data,
    });
}

// 新增
export function addBanner(data) {
    return request({
        method: 'post',
        url: '/api/bannerImages/insert',
        data,
    });
}

// 删除 一个或多个
export function deleteBanner(data) {
    return request({
        method: 'delete',
        url: '/api/bannerImages/delete-batch',
        data,
    });
}

// 编辑
export function editBanner(data) {
    return request({
        method: 'put',
        url: '/api/bannerImages/update',
        data,
    });
}

// 批量关闭 
export function noUseBathBanner(data) {
    return request({
        method: 'post',
        url: '/api/bannerImages/noUseBath',
        data,
    });
}

// 批量开启
export function useBathBanner(data) {
    return request({
        method: 'post',
        url: '/api/bannerImages/useBath',
        data,
    });
}
